<?php defined('SYSPATH') or die('No direct script access.');

class Model_LeverancierArtikels extends Kohana_Model
{
	public function getBestelLijstLeverancier()
	{
		try{
			$extrawhere="";
			$zone="";
			if(!empty($_SESSION['VMI']['slAankoper'])){
				$extrawhere.=" AND art.aankoper=:contactid ";
			}
			if(!empty($_SESSION['VMI']['slZone'])){
				$zone="LEFT JOIN (
					SELECT lza.zoneid, lza.artikelid
					FROM leverancierzone lz
					LEFT JOIN leverancierzoneartikel lza ON lz.zoneid=lza.zoneid
					WHERE lz.leverancierid=:levid AND lz.aankoperid=:contactid
				) levzone ON levzone.artikelid=levart.artikelid ";
				if($_SESSION['VMI']['slZone']==-1){
					$extrawhere.=" AND levzone.zoneid IS NULL ";
				}else{
					$extrawhere.=" AND levzone.zoneid=:zoneid ";
				}
			}
			$sql="SELECT levart.artikelid AS 'artikelid', ao.omschrijving AS 'omschrijving',
				lev.leverancierid, lev.naam AS 'leveranciernaam',
				IFNULL(UPPER(levart.informatie),'') AS 'levomschrijving', IFNULL(UPPER(levart.code),'') AS 'levcode',
 				ROUND(IFNULL(w.prijs,IFNULL(levart.prijs,0.00)),2) AS 'prijs', IFNULL(levart.actief,0) AS 'actief', IF(levart.oververpakking=0,'','B') AS 'oververpakking',
 			    IFNULL(SUM(blevl.aantal),'') AS 'ingegeven', IFNULL(s.aantal+s.lbgedrukt,'') AS 'stock',
 				IFNULL(s.besteld,0) AS 'inorder',
				IF(wga.winkelgroepid is null,'wit',
        			IF(IFNULL(ROUND((((wga.winkelverkoopprijs/1.06)/1.5)-(IFNULL(IFNULL(w.prijs,IFNULL(levart.prijs,0.00))/(levart.oververpakking*art.coefficient),IFNULL(w.prijs,IFNULL(levart.prijs,0.00)))))/((wga.winkelverkoopprijs/1.06)/1.5)*100,2),0.00)<10 ,'geel','wit')
        		) as 'margeclass',
				w.aantal as aantal, w.eenheden as eenheden, IFNULL(w.winkelmandjeid,0) as winkelmandjeid, IF(SUM(DISTINCT(IF(pg.promoid is null,0, 1)))>=1,1,0) as testpromo,
				s.lb_his_d0, s.lb_his_d1, s.lb_his_d2, s.lb_his_d3, s.lb_his_d4, s.lb_his_d5, s.lb_his_d6, s.lb_his_d7, s.lb_his_d8,
				IF(art.verkoopseenheidtype=1,'ST','C') as verkoopseenheid, IF(art.verkoopseenheidtype=1,art.omverpakking,art.coefficient) as inhoud
 				FROM leverancierartikel levart
 				LEFT JOIN artikelomschrijving ao ON (ao.artikelid= levart.artikelid AND ao.taalid=1)
 				LEFT JOIN leverancier lev ON (levart.leverancierid=lev.leverancierid)
 				LEFT JOIN bestellingleverancier blev ON (blev.leverancierid=levart.leverancierid AND blev.datum > DATE_ADD(CURDATE(), INTERVAL -0 DAY))
 				LEFT JOIN bestellingleverancierlijn blevl ON (blev.bestelid=blevl.bestelid AND levart.artikelid=blevl.artikelid)
 				LEFT JOIN stock s ON (s.artikelid=levart.artikelid)
 				LEFT JOIN winkelgroepartikel wga ON (wga.artikelid=levart.artikelid AND wga.winkelgroepid=21)
 				LEFT JOIN artikel art ON (levart.artikelid=art.artikelid)
				$zone
				LEFT JOIN leverancierwinkelmandje w ON w.artikelid=levart.artikelid AND w.leverancierid=levart.leverancierid AND w.contactid=:contactidw
				LEFT JOIN promo p ON curdate() BETWEEN p.datumvanaf AND p.datumtot AND p.artikelid=levart.artikelid AND p.promotype IN (1,2)
				LEFT JOIN promogroep pg ON pg.winkelgroepid=21 AND p.promoid=pg.promoid
				WHERE levart.leverancierid=:levid  AND levart.actief=1 $extrawhere
            	GROUP BY levart.artikelid, w.winkelmandjeid
            	ORDER BY levart.artikelid, w.prijs; ";
			$query =  DB::query(Database::SELECT, $sql, FALSE)->parameters(array(':levid'=>intval($_SESSION['VMI']['slLev']),':contactid'=>intval($_SESSION['VMI']['slAankoper']),':contactidw'=>intval($_SESSION['VMI']['contactid']),':zoneid'=>intval($_SESSION['VMI']['slZone'])));
			$artikels=$query->execute()->as_array();

			/*$historiek=$this->getHistoriek();
			foreach($artikels as $index => &$artikel){
				if (!empty($historiek)){
					foreach ($historiek as $dag => $artikelaantal){
						$artikel['levering'][] = (isset($artikelaantal[$artikel['artikelid']])) ? $artikelaantal[$artikel['artikelid']]['aantal'] : '';
					}
				}
			}*/
			return $artikels;
		} catch(Exception $e) {
			Log::instance()->add(Log::ERROR, $e->getMessage());
			return array();
		}
	}


	public function getArtikelsLeverancier($actief=null)
	{
		try{
			$where="";
			if(!empty($actief)){
				$where .=" AND levart.actief=:actief ";
			}
			$sql="SELECT levart.artikelid, levart.informatie as levomschrijving, levart.code as levcode,
				ROUND(levart.prijs,2)as prijs, levart.actief, levart.oververpakking,  ROUND(IFNULL(levart.kost,0.00),2)as kost, ao.omschrijving,
				IF(art.verkoopseenheidtype=1,'ST','C') as verkoopseenheid, IF(art.verkoopseenheidtype=1,art.omverpakking,art.coefficient) as inhoud
 				FROM leverancierartikel levart
 				LEFT JOIN artikelomschrijving ao ON ao.artikelid= levart.artikelid AND ao.taalid=1
				LEFT JOIN artikel art ON levart.artikelid=art.artikelid
				WHERE levart.leverancierid=:levid
				$where
				ORDER BY levart.artikelid; ";
			$query =  DB::query(Database::SELECT, $sql, FALSE)->parameters(array(':levid'=>intval($_SESSION['VMI']['slLev']),':actief'=>$actief));
			$artikels=$query->execute()->as_array();
			return $artikels;
		} catch(Exception $e) {
			Log::instance()->add(Log::ERROR, $e->getMessage());
			return array();
		}
	}

	public function getZonesAankoper($contactid)
	{
		try{
			$sql = "SELECT zoneid as id, naam as naam
					FROM leverancierzone WHERE leverancierid=:levid AND aankoperid=:contactid ;";
			$query =  DB::query(Database::SELECT, $sql, FALSE)->parameters(array(':levid'=>intval($_SESSION['VMI']['slLev']),':contactid'=>intval($contactid)));
			$db= $query->execute()->as_array();
			return $db;
		} catch(Exception $e) {
			Log::instance()->add(Log::ERROR, $e->getMessage());
			return array();
		}
	}

	public function getArtikelsZoneLeverancier()
	{
		try{
			$sql="SELECT levart.artikelid, ao.omschrijving, levart.informatie as levomschrijving, levart.code as levcode,
				ROUND(levart.prijs,2)as prijs, levart.actief, levart.oververpakking,
				GROUP_CONCAT(levzone.zoneid) as zones
 				FROM leverancierartikel levart
 				LEFT JOIN artikelomschrijving ao ON ao.artikelid= levart.artikelid AND ao.taalid=1
				LEFT JOIN artikel art ON art.artikelid=levart.artikelid
				LEFT JOIN (
					SELECT lza.zoneid, lza.artikelid
					FROM leverancierzone lz
					LEFT JOIN leverancierzoneartikel lza ON lz.zoneid=lza.zoneid
					WHERE lz.leverancierid=:levid AND lz.aankoperid=:contact
				) levzone ON levzone.artikelid=levart.artikelid
				WHERE levart.leverancierid=:levid and levart.actief=1 AND art.aankoper=:contact
				GROUP BY levart.artikelid
				ORDER BY levart.artikelid; ";
			$query =  DB::query(Database::SELECT, $sql, FALSE)->parameters(array(':levid'=>intval($_SESSION['VMI']['slLev']),':contact'=>$_SESSION['VMI']['contactid']));
			$artikels=$query->execute()->as_array();
			return $artikels;
		} catch(Exception $e) {
			Log::instance()->add(Log::ERROR, $e->getMessage());
			return array();
		}
	}

	public function setLeverancierZone($zonenaam)
	{
		try{
			$sql="SELECT naam FROM leverancierzone WHERE leverancierid=:levid AND aankoperid=:contact AND naam like :zonenaam ";
			$query=DB::query(Database::SELECT, $sql, FALSE)->parameters(array(':levid'=>$_SESSION['VMI']['slLev'],':contact'=>$_SESSION['VMI']['contactid'],':zonenaam'=>$zonenaam));
			$db=$query->execute()->as_array();
			if(empty($db)){
				$sql="INSERT INTO leverancierzone (leverancierid, aankoperid, naam) VALUES (:levid, :contact, :zonenaam) ;";
				$query=DB::query(Database::INSERT, $sql, FALSE)->parameters(array(':levid'=>$_SESSION['VMI']['slLev'],':contact'=>$_SESSION['VMI']['contactid'],':zonenaam'=>$zonenaam));
				$insert=$query->execute();

				$response['success'] = true;
				$response['titel'] = "Info";
				$response['message'] = "Zone: ".$zonenaam." is aangemaakt.";
			} else {
				$response['success'] = true;
				$response['titel'] = "Info";
				$response['message'] = "Zone: ".$zonenaam." bestaat al.";
			}
		} catch(Exception $e) {
			$response['success'] = false;
			$response['titel'] = "Error";
			$response['message'] = $e->getMessage();
			Log::instance()->add(Log::ERROR, $e->getMessage());
		}
		return $response;
	}

	public function setLeverancierZoneArtikel($post)
	{
		try{
			$zoneids=array();
			if(isset($post['zoneids']) && !empty($post['zoneids'])){
				$zoneids=$post['zoneids'];
			}
			$oudzoneids=array();
			if(isset($post['oudzoneids']) && !empty($post['oudzoneids'])){
				$oudzoneids=explode(",",$post['oudzoneids']);
			}
			//CONTROLE INSERT
			$check=array_diff($zoneids,$oudzoneids);
			foreach($check as $c){
				if(!empty($c)){
					$sql="INSERT INTO leverancierzoneartikel (artikelid, zoneid) VALUES (:artikelid,:val) ; " ;
					$query=DB::query(Database::INSERT, $sql, FALSE)->parameters(array(":artikelid"=>$post['artikelid'],":val"=>$c));
					$db=$query->execute();
				}
			}
			//CONTROLE DELETE
			$check=array_diff($oudzoneids,$zoneids);
			foreach($check as $c){
				if($c!=0){
					$sql="DELETE FROM leverancierzoneartikel WHERE artikelid=:artikelid AND zoneid=:val ; " ;
					$query=DB::query(Database::DELETE, $sql, FALSE)->parameters(array(":artikelid"=>$post['artikelid'],":val"=>$c));
					$db=$query->execute();

				}
			}
			$response['success'] = true;
			$response['titel'] = "Info";
			$response['message'] = "Gelukt";
		} catch(Exception $e) {
			$response['success'] = false;
			$response['titel'] = "Error";
			$response['message'] = $e->getMessage();
			Log::instance()->add(Log::ERROR, $e->getMessage());
		}
		return $response;
	}

	public function setArtikels($post)
	{
		try{
			Database::instance()->begin();
			foreach($post as $artikel){
				//eerst check insert
				$artikelid=$artikel['artikelid']['val'];
				if($artikel['artikelid']['oudval']==0 && !empty($artikelid)){
					//CHECK BESTAAT
					$this->checkNieuwArtikel($_SESSION['VMI']['slLev'], $artikelid);
				}

				unset($artikel['artikelid']);
				foreach($artikel as $k=>$geg){
					if(strlen($geg['oudval'])==0 ){ $geg['oudval']=NULL; }
					if(strlen($geg['val'])==0){ $geg['val']=NULL; }
					if($geg['oudval']!=$geg['val']){
						$kolom=LogVMI::getVarKolom($geg['kolomid']);
						//UPDATE
						$sql="UPDATE leverancierartikel SET  ".$kolom['kolom']."=:val WHERE leverancierid=:leverancierid AND artikelid=:artikelid ; " ;
						$query=DB::query(Database::UPDATE, $sql, FALSE)->parameters(array(":artikelid"=>$artikelid,":leverancierid"=>$_SESSION['VMI']['slLev'],":val"=>$geg['val']));
						$db=$query->execute();
					}
				}
			}
			Database::instance()->commit();

			$response['success'] = true;
			$response['titel'] = "Info";
			$response['message'] = "Gegevens opgeslagen.";
		} catch(Exception $e) {
			Database::instance()->rollback();
			$response['success'] = false;
			$response['titel'] = "Error";
			$response['message'] = $e->getMessage();
			Log::instance()->add(Log::ERROR, $e->getMessage());
		}
		return $response;
	}

	public function checkNieuwArtikel($levid, $artikelid)
	{
		//CHECK BESTAAT
		if($levid!=0 && !empty($levid) && $artikelid!=0 && !empty($artikelid)){
			$sql="SELECT actief FROM leverancierartikel WHERE leverancierid=:leverancierid AND artikelid=:artikelid; ";
			$query=DB::query(Database::SELECT, $sql, FALSE)->parameters(array(":leverancierid"=>$levid,":artikelid"=>$artikelid));
			$db=$query->execute()->as_array();
			if(empty($db)){
				//INSERT
				$sql="INSERT INTO leverancierartikel (leverancierid, artikelid, actief) VALUES (:leverancierid,:artikelid,1) ; " ;
				$query=DB::query(Database::INSERT, $sql, FALSE)->parameters(array(":leverancierid"=>$levid,":artikelid"=>$artikelid));
				$db=$query->execute();

			} else if($db[0]['actief']==0) {
				//UPDATE
				$sql="UPDATE leverancierartikel SET actief=1 WHERE leverancierid=:leverancierid AND artikelid=:artikelid ; " ;
				$query=DB::query(Database::UPDATE, $sql, FALSE)->parameters(array(":artikelid"=>$artikelid,":leverancierid"=>$levid));
				$db=$query->execute();
			}
		}
	}
}
?>
