<?php defined('SYSPATH') or die('No direct script access.');

class Model_Login extends Kohana_Model
{
	public function checkLogin($login, $paswoord)
	{
		try {
			//Eerst controleren op aankoper
			$appid = Kohana::$config->load('appconf.applicatieid');
			$sql = "SELECT contactid as contactid, contactid as id, CONCAT(voornaam,' ',naam ) as naam, login, paswoord, mail, 'aankoper' as gebruiker,
					if(functie&2, contactid, '') as slAankoper
					FROM vwAppContact
					WHERE  login=:login AND applicatieid=:appid
					GROUP BY contactid; ";
			$query =  DB::query(Database::SELECT, $sql, FALSE)
							->parameters(array(':login'=>$login,':appid'=>$appid));
			$gebruiker=$query->execute()->as_array();
			if(empty($gebruiker)){
				//wanneer geen aankoper controleren op leverancier
				$sql = "SELECT 22 as contactid, leverancierid as id, naam, mail, login, paswoordcrypted as paswoord, 'leverancier' as gebruiker
					 		FROM leverancier
							WHERE actief=1 AND login=:login ";
				$query =  DB::query(Database::SELECT, $sql, FALSE)
							->parameters(array(':login'=>$login));
				$gebruiker=$query->execute()->as_array();
			}
			if(!empty($gebruiker)){
				//controle paswoord
				$sf = new Secretfunc(Kohana::$config->load('appconf.key'));
				$decryptedData =$sf->decrypt($gebruiker[0]['paswoord']);
            	if(empty($decryptedData)){
				 					$decryptedData =$gebruiker[0]['paswoord'];
            	}
            	if($paswoord===$decryptedData){
					$this->session=Session::instance();
					$_SESSION['VMI']=$gebruiker[0];
					// 1ste leverancier en groep van select ophalen
					if($gebruiker[0]['gebruiker']=="aankoper"){
						Log::instance()->add(Log::INFO, "Aankoper ".$gebruiker[0]['naam']);
						$levs=$this->getLeveranciers(1);
						$_SESSION['VMI']['slLev']=$levs[0]['id'];
						$_SESSION['VMI']['slLevGroep']=0;
						$_SESSION['VMI']['slZone']="";
						$response['message']= "aankoper";
					} else{
						Log::instance()->add(Log::INFO, "Leverancier ".$gebruiker[0]['naam']);
						$_SESSION['VMI']['slLev']=$gebruiker[0]['id'];
						$_SESSION['VMI']['slLevGroep']=0;
						$_SESSION['VMI']['slAankoper']="";
						$_SESSION['VMI']['slZone']="";
						$response['message']= "leverancier";
					}
				}
			}
			$response['success']= TRUE;
		}catch(Exception $error){
			$response['success']=FALSE;
			$response['message']=$error->getMessage();
			Log::instance()->add(Log::ERROR, $error->getMessage());
		}
		return $response;
	}

	public function getAankopers()
	{
		try {
			$sql = "SELECT contactid as id, concat(voornaam,' ', naam) as naam
					FROM contact
					WHERE functie & 2 AND actief=1 ORDER BY voornaam ";
			$query =  DB::query(Database::SELECT, $sql, FALSE);
			$db=$query->execute()->as_array();
			return $db;
		}catch(Exception $error){
			Log::instance()->add(Log::ERROR, $error->getMessage());
			return array();
		}
	}

	public function getLeveranciers($actief=null)
	{
		try {
			$where="";
			if(!empty($actief)){
				$where="WHERE actief=:actief AND xdock=!:actief ";
			}
			$sql = "SELECT leverancierid as id, naam as naam, actief
					FROM leverancier
					$where ORDER BY naam ";
			$query =  DB::query(Database::SELECT, $sql, FALSE)->parameters(array(':actief'=>$actief));
			$db=$query->execute()->as_array();
			return $db;
		}catch(Exception $error){
			Log::instance()->add(Log::ERROR, $error->getMessage());
			return array();
		}
	}


	public function getLanden()
	{
		try{
			$sql="SELECT name_ab2 as id, concat(name_ab2,' - ',name_nl) as naam
				FROM sl_country ORDER BY naam ";
			$query=DB::query(Database::SELECT, $sql, FALSE);
			$db=$query->execute()->as_array();
			return $db;
		}catch(Exception $error){
			Log::instance()->add(Log::ERROR, $error->getMessage());
			return array();
		}
	}
}
?>
