<?php defined('SYSPATH') or die('No direct script access.');

class Model_Mail extends Kohana_Model
{
	protected $subject=NULL;
	protected $from=array('purchase.direct@greenyardfresh.be' => 'Greenyard Fresh Direct');
	protected $to=NULL;
	protected $bcc=NULL;

	public function setFrom($mailfrom)
	{
		$this->from=$mailfrom;
	}

	public function setTo($mailto)
	{
		$this->to=$mailto;
		//$this->to=array('dorien@luna-soft.eu'); //TEST
	}

	public function setBcc($mailbcc)
	{
		$this->bcc=$mailbcc;
		//$this->bcc=array('' ); //TEST
	}

	public function setSubject($onderwerp)
	{
		$this->subject=$onderwerp;
	}

	function configMail()
	{
		include 'assets/swiftmailer/lib/swift_required.php';
		$transport = Swift_SmtpTransport::newInstance('localhost', 25);
		//$transport = Swift_SmtpTransport::newInstance('10.66.10.88', 25);
		$mailer = Swift_Mailer::newInstance($transport);
		return $mailer;
	}

	public function mailNota($leverancier,$nota)
	{
		try{
			$mail=$this->configMail();
			//CREATE MESSAGE + subject
			$message = Swift_Message::newInstance($this->subject);
			$message->setFrom($this->from);
			$message->setTo($this->to);

			//set body
			$body="<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif; font-size: 15px; line-height: 18px; color:#336633;font-weight:bold;'>".$this->subject."</p>
				<div STYLE='margin:10px 0px;'>
				<p STYLE='color:#88bb33;font-weight:bold;text-transform:uppercase;'>Nota </p>
				<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;'>Leverancier <strong>".$leverancier['naam']." (".$leverancier['leverancierid'].")</strong>
				heeft een nota gestuurd voor de aankopers van Greenyard Fresh Direct. <br/> ".$nota."</p>";
			$body.="</div>";
			$cid = $message->embed(Swift_Image::fromPath('assets/images/greenyard_mail.png'));
 			$message->setBody(View::factory('algemeen/email')->set('content',$body)->set('cid',$cid),'text/html');

			// Send the message
			if(!$mail->send($message,$failures)){
				//FAILURES
				Log::instance()->add(Log::ERROR,"Fout tijdens versturen van EMAIL: ".json_encode($failures));
				$response['success']=false;
				$response['titel']="Error";
				$response['message']="De gegevens zijn opgeslagen. Er is een fout opgetreden tijdens het versturen van de mail ".$failures;
			}else{
				$response['success']=true;
				$response['titel']="Info";
				$response['message']="Er is een nota verstuurd.";
			}
		}catch(Exception $e){
			$response['success'] = false;
			$response['titel']="Error";
			$response['message']="De gegevens zijn opgeslagen. Er is een fout opgetreden tijdens het versturen van de mail ". $e->getMessage();
			Log::instance()->add(Log::ERROR, $e->getMessage());
		}
		return $response;
	}

	public function mailBestelling($bestelling,$nota=NULL)
	{
		try{
			$mail=$this->configMail();
			//CREATE MESSAGE + subject
			$message = Swift_Message::newInstance($this->subject);
			$message->setFrom($this->from);
			$message->setTo($this->to);

			//set body
			$body="<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif; font-size: 15px; line-height: 18px; color:#336633;font-weight:bold;'>".$this->subject."</p>";
			$body.="<div STYLE='margin:10px 0px;'>
				<p STYLE='font-size: 15px;color:#88bb33;font-weight:bold;text-transform:uppercase;'>Bestelling: ".$bestelling['bestelid']."</p>
				<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;'>In bijlage bevindt zich een PDF en CSV met de gemaakte bestelling <br/>van leverancier <strong>".$bestelling['leverancier']." (".$bestelling['leverancierid'].")</strong><br/>
				<a STYLE='font-weight:bold;color:#88bb33;text-decoration:none;' href='http://cloud.benfresh.be/vmi/index.php/bevestig?bestelid=".base64_encode($bestelling['bestelid'])."'>Klik hier</a>
				om de bestelling te bevestigen<br/>
			    voor leveringsdatum <strong>".date('d/m/Y', strtotime($bestelling['bestelleveringvan']))."</strong>.</p>";
			if(!empty($nota)){
				$body.="<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;'><strong>Extra Info:</strong></p><p>".$nota."</p>";
			}

			$body.="</div>";

			$cid = $message->embed(Swift_Image::fromPath('assets/images/greenyard_mail.png'));
 			$message->setBody(View::factory('algemeen/email')->set('content',$body)->set('cid',$cid),'text/html');

			//create CSV attachment
			$csvdata = $this->create_csv("Bestelling",$bestelling);
			$attachment = Swift_Attachment::newInstance($csvdata, "bestelling_".$bestelling['bestelid'].".csv", 'application/csv');
			$message->attach($attachment);

			//CREATE PDF
			require_once('assets/pdf/bestel_pdf.php');
			$pdf = new BestelPDF();
			$pdf->SetAutoPageBreak(true, 10);
			$pdf->SetDrawColor(180);
			$pdf->SetTextColor(50);
			$pdf->setGegevens($bestelling);
			$pdf->AliasNbPages();
			$pdf->SetDisplayMode(100);
			$pdf->SetFont('Helvetica','',10);
			$pdf->AddPage();
			if(!empty($nota)){
				$pdf->InfoTabel($nota);
			}
			$pdf->BestellingTabel($bestelling);
			if(!empty($bestelling['leeggoed'])){
				$pdf->LeeggoedTabel($bestelling['leeggoed']);
			}

			$pdfdata = $pdf->Output("", "S");
			$attachment = Swift_Attachment::newInstance($pdfdata, "bestelling_".$bestelling['bestelid'].".pdf", 'application/pdf');
			$message->attach($attachment);

			// Send the message
			if(!$mail->send($message,$failures)){
				//FAILURES
				Log::instance()->add(Log::ERROR,"Fout tijdens versturen van EMAIL: ".json_encode($failures));
				$response['success']=false;
				$response['titel']="Error";
				$response['message']="De gegevens zijn opgeslagen. Er is een fout opgetreden tijdens het versturen van de mail ".$failures;
			}else{
				$response['success']=true;
				$response['titel']="Info";
				$response['message']="Gegevens zijn opgeslagen en verstuurd.";
			}
		}catch(Exception $e){
			$response['success'] = false;
			$response['titel']="Error";
			$response['message']="De gegevens zijn opgeslagen. Er is een fout opgetreden tijdens het versturen van de mail ". $e->getMessage();
			Log::instance()->add(Log::ERROR, $e->getMessage());
		}
		return $response;

	}

	public function mailDesadv($levering,$nota)
	{
		try{
			$mail=$this->configMail();
			//CREATE MESSAGE + subject
			$message = Swift_Message::newInstance($this->subject);
			$message->setFrom($this->from);
			$message->setTo($this->to);

			//set body
			$body="<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif; font-size: 15px;line-height: 18px; color:#336633;font-weight:bold;'>".$this->subject."</p>";
			$body.="<div STYLE='margin:10px 0px;'>
				<p STYLE='color:#88bb33;font-weight:bold;text-transform:uppercase;'>Levering: ".$levering['leveringid']."</p>
				<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;'>In bijlage bevindt zich een PDF en CSV met de gemaakte levering(desadv) <br/>van leverancier <strong>".$levering['leverancier']." (".$levering['leverancierid'].")</strong><br/>
			    voor leveringsdatum <strong>".date('d/m/Y', strtotime($levering['leveringvan']))."</strong>.</p>";
			if(!empty($nota)){
				$body.="<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;'><strong>Extra Info:</strong></p><p>".$nota."</p>";
			}
			$body.="</div>";

			$cid = $message->embed(Swift_Image::fromPath('assets/images/greenyard_mail.png'));
 			$message->setBody(View::factory('algemeen/email')->set('content',$body)->set('cid',$cid),'text/html');

			//create CSV attachment
			$csvdata = $this->create_csv("Levering",$levering);
			$attachment = Swift_Attachment::newInstance($csvdata, "desadv_".$levering['leveringid'].".csv", 'application/csv');
			$message->attach($attachment);

			//CREATE PDF
			require_once('assets/pdf/desadv_pdf.php');
			$pdf = new DesadvPDF();
			$pdf->SetAutoPageBreak(true, 10);
			$pdf->SetDrawColor(180);
			$pdf->SetTextColor(50);
			$pdf->setGegevens($levering);
			$pdf->AliasNbPages();
			$pdf->SetDisplayMode(100);
			$pdf->SetFont('Helvetica','',10);
			$pdf->AddPage();
			if(!empty($nota)){
				$pdf->InfoTabel($nota);
			}
			$pdf->LeveringTabel($levering);
			if(!empty($levering['leeggoed'])){
				$pdf->LeeggoedTabel($levering['leeggoed']);
			}
			$pdfdata = $pdf->Output("", "S");
			$attachment = Swift_Attachment::newInstance($pdfdata, "desadv_".$levering['leveringid'].".pdf", 'application/pdf');
			$message->attach($attachment);

			// Send the message
			if(!$mail->send($message,$failures)){
				//FAILURES
				Log::instance()->add(Log::ERROR,"Fout tijdens versturen van EMAIL: ".json_encode($failures));
				$response['success']=false;
				$response['titel']="Error";
				$response['message']="De gegevens zijn opgeslagen. Er is een fout opgetreden tijdens het versturen van de mail ".$failures;
			}else{
				$response['success']=true;
				$response['titel']="Info";
				$response['message']="Gegevens zijn opgeslagen en verstuurd.";
			}
		}catch(Exception $e){
			$response['success'] = false;
			$response['titel']="Error";
			$response['message']="De gegevens zijn opgeslagen. Er is een fout opgetreden tijdens het versturen van de mail ". $e->getMessage();
			Log::instance()->add(Log::ERROR, $e->getMessage());
		}
		return $response;
	}


	public function mailChanges($bestelling)
	{
		try{
			$mail=$this->configMail();
			//CREATE MESSAGE + subject
			$message = Swift_Message::newInstance($this->subject);
			$message->setFrom($this->from);
			$message->setTo($this->to);

			//set body
			$body="<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif; font-size: 15px; line-height: 18px; color:#336633;font-weight:bold;'>".$this->subject."</p>
				<div STYLE='margin:10px 0px;'>
				<p STYLE='color:#88bb33;font-weight:bold;text-transform:uppercase;'>Changes Bestelling: ".$bestelling['bestelid']."</p>
				<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;'>In bijlage bevindt zich een PDF en CSV met de bestelling changes <br/>van leverancier <strong>".$bestelling['leverancier']." (".$bestelling['leverancierid'].")</strong><br/>
			    voor leveringsdatum <strong>".date('d/m/Y', strtotime($bestelling['leveringvan']))."</strong>.</p>";
			$body.="</div>";
 			$cid = $message->embed(Swift_Image::fromPath('assets/images/greenyard_mail.png'));
 			$message->setBody(View::factory('algemeen/email')->set('content',$body)->set('cid',$cid),'text/html');

			//CREATE PDF
			require_once('assets/pdf/bestel_pdf.php');
			$pdf = new BestelPDF();
			$pdf->SetAutoPageBreak(true, 10);
			$pdf->SetDrawColor(180);
			$pdf->SetTextColor(50);
			$pdf->setGegevens($bestelling);
			$pdf->AliasNbPages();
			$pdf->SetDisplayMode(100);
			$pdf->SetFont('Helvetica','',10);
			$pdf->AddPage();
			$pdf->ChangesTabel($bestelling);
			if(!empty($bestelling['leeggoed'])){
				$pdf->LeeggoedTabel($bestelling['leeggoed']);
			}

			$pdfdata = $pdf->Output("", "S");
			$attachment = Swift_Attachment::newInstance($pdfdata, "changes_".$bestelling['bestelid'].".pdf", 'application/pdf');
			$message->attach($attachment);

			// Send the message
			if(!$mail->send($message,$failures)){
				//FAILURES
				Log::instance()->add(Log::ERROR,"Fout tijdens versturen van EMAIL: ".json_encode($failures));
				$response['success']=false;
				$response['titel']="Error";
				$response['message']="De gegevens zijn opgeslagen. Er is een fout opgetreden tijdens het versturen van de mail ".$failures;
			}else{
				$response['success']=true;
				$response['titel']="Info";
				$response['message']="Gegevens zijn opgeslagen en verstuurd.";
			}
		}catch(Exception $e){
			$response['success'] = false;
			$response['titel']="Error";
			$response['message']="De gegevens zijn opgeslagen. Er is een fout opgetreden tijdens het versturen van de mail ". $e->getMessage();
			Log::instance()->add(Log::ERROR, $e->getMessage());
		}
		return $response;

	}

	public function mailBestellingTransport($gegevens,$nota)
	{
		try{
			$mail=$this->configMail();
			//CREATE MESSAGE + subject
			$message = Swift_Message::newInstance($this->subject);
			$message->setFrom($this->from);
			$message->setTo($this->to);


			//set body
			$body="<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif; font-size: 15px; line-height: 18px; color:#336633;font-weight:bold;'>".$this->subject."</p>";
			$body.="<div STYLE='margin:10px 0px;'>
				<p STYLE='color:#88bb33;font-weight:bold;text-transform:uppercase;'>Bestelling: ".$gegevens['bestelid']."</p>
				<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;'>In bijlage bevindt zich een PDF met de gemaakte bestelling <br/>van leverancier <strong>".$gegevens['leverancier']." (".$gegevens['leverancierid'].")</strong><br/>
			    voor leveringsdatum <strong>".date('d/m/Y', strtotime($gegevens['bestelleveringvan']))."</strong>.</p>";
			if(!empty($nota)){
				$body.="<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;'><strong>Extra Info:</strong></p><p>".$nota."</p>";
			}
			$body.="</div>";
 			$cid = $message->embed(Swift_Image::fromPath('assets/images/greenyard_mail.png'));
 			$message->setBody(View::factory('algemeen/email')->set('content',$body)->set('cid',$cid),'text/html');

			//CREATE PDF
			require_once('assets/pdf/transport_pdf.php');
			$pdf = new TransportPDF();
			$pdf->SetAutoPageBreak(true, 10);
			$pdf->SetDrawColor(180);
			$pdf->SetTextColor(50);
			$pdf->setGegevens($gegevens);
			$pdf->setSoort("Bestelling");
			$pdf->AliasNbPages();
			$pdf->SetDisplayMode(100);
			$pdf->SetFont('Helvetica','',10);
			$pdf->AddPage();
			if(!empty($nota)){
				$pdf->InfoTabel($nota);
			}
			$pdf->TransportTabel($gegevens);
			if(!empty($gegevens['leeggoed'])){
				$pdf->LeeggoedTabel($gegevens['leeggoed']);
			}
			$pdfdata = $pdf->Output("", "S");
			$attachment = Swift_Attachment::newInstance($pdfdata,"transport_bestelling_".$gegevens['bestelid'].".pdf", 'application/pdf');
			$message->attach($attachment);

			// Send the message
			if(!$mail->send($message,$failures)){
				//FAILURES
				Log::instance()->add(Log::ERROR,"Fout tijdens versturen van EMAIL: ".json_encode($failures));
				$response['success']=false;
				$response['titel']="Error";
				$response['message']="De gegevens zijn opgeslagen. Er is een fout opgetreden tijdens het versturen van de mail ".$failures;
			}else{
				$response['success']=true;
				$response['titel']="Info";
				$response['message']="Gegevens zijn opgeslagen en verstuurd.";
			}
		}catch(Exception $e){
			$response['success'] = false;
			$response['titel']="Error";
			$response['message']="De gegevens zijn opgeslagen. Er is een fout opgetreden tijdens het versturen van de mail ". $e->getMessage();
			Log::instance()->add(Log::ERROR, $e->getMessage());
		}
		return $response;

	}

	public function mailDesadvTransport($gegevens,$nota)
	{
		try{
			$mail=$this->configMail();
			//CREATE MESSAGE + subject
			$message = Swift_Message::newInstance($this->subject);
			$message->setFrom($this->from);
			$message->setTo($this->to);

			//set body
			$body="<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif; font-size: 15px; line-height: 18px; color:#663366;font-weight:bold;'>".$this->subject."</p>";
			$body.="<div STYLE='margin:10px 0px;'>
				<p STYLE='color:#88bb33;font-weight:bold;text-transform:uppercase;'>Levering: ".$gegevens['bestelid']."</p>
				<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;'>In bijlage bevindt zich een PDF met de gemaakte levering <br/>van leverancier <strong>".$gegevens['leverancier']." (".$gegevens['leverancierid'].")</strong><br/>
			    voor leveringsdatum <strong>".date('d/m/Y', strtotime($gegevens['leveringvan']))."</strong>.</p>";
			if(!empty($nota)){
				$body.="<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;'><strong>Extra Info:</strong></p><p>".$nota."</p>";
			}
			$body.="</div>";
 			$cid = $message->embed(Swift_Image::fromPath('assets/images/greenyard_mail.png'));
 			$message->setBody(View::factory('algemeen/email')->set('content',$body)->set('cid',$cid),'text/html');

			//CREATE PDF
			require_once('assets/pdf/transport_pdf.php');
			$pdf = new TransportPDF();
			$pdf->SetAutoPageBreak(true, 10);
			$pdf->SetDrawColor(180);
			$pdf->SetTextColor(50);
			$pdf->setGegevens($gegevens);
			$pdf->setSoort("Levering");
			$pdf->AliasNbPages();
			$pdf->SetDisplayMode(100);
			$pdf->SetFont('Helvetica','',10);
			$pdf->AddPage();
			if(!empty($nota)){
				$pdf->InfoTabel($nota);
			}
			$pdf->TransportTabel($gegevens);
			if(!empty($gegevens['leeggoed'])){
				$pdf->LeeggoedTabel($gegevens['leeggoed']);
			}
			$pdfdata = $pdf->Output("", "S");
			$attachment = Swift_Attachment::newInstance($pdfdata,"transport_levering_".$gegevens['leveringid'].".pdf", 'application/pdf');
			$message->attach($attachment);

			// Send the message
			if(!$mail->send($message,$failures)){
				//FAILURES
				Log::instance()->add(Log::ERROR,"Fout tijdens versturen van EMAIL: ".json_encode($failures));
				$response['success']=false;
				$response['titel']="Error";
				$response['message']="De gegevens zijn opgeslagen. Er is een fout opgetreden tijdens het versturen van de mail ".$failures;
			}else{
				$response['success']=true;
				$response['titel']="Info";
				$response['message']="Gegevens zijn opgeslagen en verstuurd.";
			}
		}catch(Exception $e){
			$response['success'] = false;
			$response['titel']="Error";
			$response['message']="De gegevens zijn opgeslagen. Er is een fout opgetreden tijdens het versturen van de mail ". $e->getMessage();
			Log::instance()->add(Log::ERROR, $e->getMessage());
		}
		return $response;

	}

	public function mailKlachtLeverancier($gegevens)
	{
		$mail=$this->configMail();
		//CREATE MESSAGE + subject
		$message = Swift_Message::newInstance("[KLACHT: ".$gegevens['klacht'][0]['klachtid']."] ".$gegevens['klacht'][0]['leverancier']);
		$message->setFrom($this->from);
		$message->setTo($this->to);
		$message->setBcc($this->bcc);
		//Log::instance()->add(Log::INFO,"Klacht MAIL: TO: ".json_encode($message->getTo())." BCC: ".json_encode($message->getBcc()) );

		//set body
		$body=$this->body_klachtleverancier($gegevens);

 		$cid = $message->embed(Swift_Image::fromPath('assets/images/greenyard_mail.png'));
 		$message->setBody(View::factory('algemeen/email')->set('content',$body)->set('cid',$cid),'text/html');

		// FPDF object
		require_once('assets/pdf/klacht_pdf.php');
		$bpdf = new KlachtPDF();
		$bpdf->SetAutoPageBreak(true, 10);
		$bpdf->setGegevens($gegevens['klacht'][0]);
		$bpdf->AliasNbPages();
		$bpdf->SetDisplayMode(100);
		$bpdf->SetFont('Helvetica','',10);
		$bpdf->AddPage();
		if(!empty(trim($gegevens['klacht'][0]['opmerking']))){
			$bpdf->InfoTabel($gegevens['klacht'][0]['opmerking']);
		}
		if(!empty($gegevens['leeggoed'][0]['klachtleeggoedid'])){
			$bpdf->LeeggoedTabel($gegevens['leeggoed']);
		}
		$bpdf->KlachtTabel($gegevens['klacht']);
		if(!empty(trim($gegevens['klacht'][0]['docs']))){
			$bpdf->ImgTabel($gegevens['klacht'][0]['docs']);
		}
		$pdfdata = $bpdf->Output("", "S");
		$attachment = Swift_Attachment::newInstance($pdfdata,"assessment_".$gegevens['klacht'][0]['klachtid'].".pdf", 'application/pdf');
		$message->attach($attachment);

		//PDF attachment
		if(isset($gegevens['klacht'][0]['docs'])){
			$files=explode(",",$gegevens['klacht'][0]['docs']);
			foreach($files as $file){
				$ext = pathinfo($file, PATHINFO_EXTENSION);
				$validextensions=array('pdf','csv','doc','docx','xls','xlsx');
				$valid=in_array($ext,$validextensions);
            	if($valid){
					$message->attach(Swift_Attachment::fromPath('assets/upload/'.$file));
				}
			}
		}
		// Send the message
		$result = $mail->send($message);
		return $result;
	}

	function body_klachtleverancier($gegevens)
	{
		$body="<h3 STYLE='color:#336633;font-weight:bold;'>[KLACHT: ".$gegevens['klacht'][0]['klachtid']."] ".$gegevens['klacht'][0]['leverancier']."</h3>
				<div STYLE='margin:10px 0px;'>
				<p STYLE='color:#88bb33;font-weight:bold;text-transform:uppercase;'>Klacht/Melding: ".$gegevens['klacht'][0]['klachtid']."</p>";
		$body.="<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;'>Beste leverancier,<br/><br/>
				Onze kwaliteitsdienst heeft een klacht geregistreerd bij een door u aangeleverd product.<br/>
				Gelieve hierna onze klachtmelding terug te vinden:<br/>";
		$body.="Graag ontvangen wij van u een creditnota als er artikels zijn met status credit.</p>";
		$body.="---------------------------------";
		$body.="<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;'>Cher fournisseur,<br/><br/>
				Notre service qualité a enregistré une plainte concernant un produit fourni par vos soins.<br/>
				Vous pourrez donc trouver notre plainte ci-dessous: <br/>";
		$body.="Nous attendons donc votre notre de credit pour les produits concernés.</p>";
		$body.="---------------------------------";
		$body.="<p STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;'>Dear supplier,<br/><br/>
				Our quality department has registrated a complaint on a product supplied by you.<br/>
				Here after you can find our submission of the complaint:<br/>";
		$body.="We would like to recieve a creditnote if there are products with status credit.</p>";
		$body.="---------------------------------";
		$body.="</div>";
		$body.="<table STYLE='border-collapse: collapse; border-spacing: 0; margin:0px;padding:0px;font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;width:600px; font-size:12px;'>";
		$body.="<tbody>";
		$body.="<tr><td STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;font-weight:bold;width:100px;padding: 2px 4px;'>Leverancier:</td><td>".$gegevens['klacht'][0]['leverancier']."</td></tr>";
		$body.="<tr><td STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;font-weight:bold;padding: 2px 4px;'>Inspecteur:</td><td>".$gegevens['klacht'][0]['inspecteur']."</td></tr>";
		$body.="<tr><td STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;font-weight:bold;padding: 2px 4px;'>Aangemaakt:</td><td>".date('d/m/Y H\hi', strtotime($gegevens['klacht'][0]['aangemaakt']))."</td></tr>";
		$body.="<tr><td STYLE='font-family: Calibri,Candara,Segoe,Optima,Arial,sans-serif;font-weight:bold;padding: 2px 4px;'>Opmerking:</td><td>".$gegevens['klacht'][0]['opmerking']."</td></tr>";
		$border="border:1px solid #999;padding:2px 2px;";
		$textright="text-align:right;";
		$body.="</tbody>";
		$body.="</table><br/>";
		return $body;
	}

	function create_csv($titel,$geg)
	{
		$csv="Ben Fresh - Vendor Managed Inventory\n";
		$csv.=$titel."\n";
		$csv.=$geg['leverancierid'].";".$geg['leverancier']."\n";
		if(isset($geg['bestelleveringvan'])){
			$csv.="Leveringvan: ".$geg['bestelleveringvan']."\n\n";
		} else {
			$csv.="Leveringvan: ".$geg['leveringvan']."\n\n";
		}
		$csv.="Code;Omschrijving; Aantal; EH\n";
		foreach($geg['artikels'] as $i=>$artikel){
			$csv.=$artikel['artikelid'].";";
			$csv.=utf8_decode($artikel['omschrijving']).";";
			$csv.=$artikel['aantal'].";";
			$csv.=$artikel['eenheden'].";";
			$csv.="\n";
		}
		$csv.="\n\n";
		return $csv;
	}




}
