<?php
require_once('assets/pdf/fpdf/fpdf.php');
class BestelPDF extends FPDF{
	var $gegevens;

	function setGegevens($geg) {
 		$this->gegevens = $geg;
	}
	
	function Header()
	{
		$this->SetLeftMargin(25);
		$this->SetRightMargin(15);
		$this->AddFont('Calibri','','calibri.php');
		$this->AddFont('Calibri','I','calibrii.php');
		$this->AddFont('Calibri','B','calibrib.php');
		$this->AddFont('CalibriLight','I','calibrili.php');
		
		$this->SetTextColor(64,64,64);
		$header=$this->gegevens;
		# header image
		$this->Image('assets/images/GREENYARD_RGB_32.png',25,10);
		$this->SetTextColor(51,102,51);
		$this->SetDrawColor(51,102,51);
		$this->Cell(62,9,"",'B',1,"L");
		$this->SetFont('Calibri','',11);
		$this->Cell(0,6,"Greenyard Fresh Direct Belgium NV",0,1,"L");
		
		$this->SetXY(140,10);
		$this->SetFont('CalibriLight','I',22);
		$this->Cell(20,6,"Fresh",0,1,"L");
		$this->Ln(10);

		# header info
		if ($this->page == 1) {
			$this->SetFont('Calibri','',8);
			$this->SetTextColor(51,102,51);
			$this->Cell(100,4,"Fortsesteenweg 27 / BE-2860 Sint-Katelijne-Waver / Belgium",0,0,"L");
			$this->SetFont('Calibri','B',10);
			$this->SetTextColor(64,64,64);
			$this->Cell(30,4,$header['leverancier']." (".$header['leverancierid'].")",0,1,"L");
			$this->SetFont('Calibri','',8);
			$this->SetTextColor(51,102,51);
			$this->Cell(100,4,"T +32 15 32 48 00 / F +32 15 32 48 08",0,0,"L");
			$this->SetFont('Calibri','',10);
			$this->SetTextColor(64,64,64);
			$this->Cell(30,4,$header['straatnr'],0,1,"L");
			$this->SetFont('Calibri','',8);
			$this->SetTextColor(51,102,51);
			$this->Cell(100,4,"info.direct@greenyardfresh.be",0,0,"L");
			$this->SetFont('Calibri','',10);
			$this->SetTextColor(64,64,64);
			$this->Cell(30,4,$header['postcode']." ".$header['plaats'],0,1,"L");
			$this->Ln(1);
			
			$this->SetTextColor(64, 64, 64);
         	$this->SetFont('Calibri', '', 8);
			$this->Cell(0,3,'p '.$this->PageNo().'/{nb}',0,0,'R');
			$this->Ln(1);
			
			//INFO TABEL
			$this->SetDrawColor(180);
			$this->SetFont('Calibri','B',10);
			$this->SetTextColor(64,64,64);
			$this->Cell(0,5,"Order",0,1,"L");
			$this->SetFont('Calibri','B',10);
			$this->SetTextColor(51,102,51);
			
			$w=array(42, 42, 43, 43);
			$this->Cell($w[0],5,"Order",1,0,"C");
			$this->Cell($w[1],5,"Delivery",1,0,"C");
			$this->Cell($w[2],5,"Purchaser",1,0,"C");
			$this->Cell($w[3],5,"Order creation",1,1,"C");
			$this->SetFont('Calibri','',10);
			$this->SetTextColor(64,64,64);
			$this->Cell($w[0],5,$header['bestelid'],1,0,"C", false);
			$this->Cell($w[1],5,date('d/m/Y', strtotime($header['leveringvan'])),1,0,"C", false);
			$this->Cell($w[2],5,$header['voornaam']." ".$header['naam'],1,0,"C", false);
			$this->Cell($w[3],5,date('d/m/Y H\hi', strtotime($header['datum'])),1,0,"C", false);
			
			$this->Ln(8);
		} else {
			$this->SetTextColor(64, 64, 64);
         	$this->SetFont('Calibri', '', 8);
			$this->Cell(0,3,'p '.$this->PageNo().'/{nb}',0,0,'R');
			$this->Ln();
		}
		
		$this->SetDrawColor(180);
		$this->SetTextColor(64, 64, 64);
	}

	function Footer()
	{
		$header=$this->gegevens;
		$this->SetTextColor(64, 64, 64);
        $this->SetFont('Calibri', '', 10);
        $this->SetY(-20);
		$this->Cell(0,6,"VMI Order ".$header['bestelid'],0,0,"L");
		$this->Image('assets/images/GY_FAHF_darkgreen_RGB_600x67.png',155,277,43);
        $this->Image('assets/images/gy_line_1200x6.png',10,285,190);
	}	
	
	
	function InfoTabel($info)
	{
		$this->SetDrawColor(180);
		$this->SetTextColor(64, 64, 64);
		
		$this->SetFont('Calibri','B',10);
		$this->MultiCell(0,5,"INFO:",0,"L");
		$this->Ln();
		$this->MultiCell(0,5,strip_tags(utf8_decode($info)),0,"L");
		$this->Ln();
	}
	
	function GroepTabel($gegevens)
	{
		$h=5;
		$this->SetDrawColor(180);
		
		$this->SetFont('Calibri','B',10);
		$this->SetTextColor(64, 64, 64);
		$this->Cell(0,$h,"Artikels",1,1,"L");
		$this->SetFont('Calibri','B',10);
		$this->SetTextColor(51,102,51);

		$w=array(13, 20, 17, 55, 20, 45);
		$header=array("Code","Aantal","Eenheid","Omschrijving","Prijs","Leverancier");
		for($i=0; $i<count($header); $i++){
			$this->Cell($w[$i],$h,$header[$i],1,0,"C");
		}
		$this->Ln();
		
		$this->SetFont('Calibri','',10);
		$this->SetTextColor(64,64,64);
		foreach($gegevens as $i=>$artikel){
			if($this->GetY()+20>$this->PageBreakTrigger){
				$this->addPage();
				$this->SetFont('Calibri','B',10);
				$this->SetTextColor(64, 64, 64);
				$this->Cell(0,$h,"Artikels",0,1,"L");
				
				$this->SetFont('Calibri','B',10);
				$this->SetTextColor(51,102,51);
				for($i=0; $i<count($header); $i++){
					$this->Cell($w[$i],$h,$header[$i],1,0,"C");
				}
				$this->Ln();
				
			}	
			$this->SetFont('Calibri','',10);
			$this->SetTextColor(64,64,64);
			
			$this->Cell($w[0],$h,$artikel['artikelid'],1,0,"R");
			$this->Cell($w[1],$h,$artikel['bestelaantal'],1,0,"L");
			$this->Cell($w[2],$h,$artikel['besteleenheden'],1,0,"L");
			$this->Cell($w[3],$h,utf8_decode($artikel['omschrijving']),1,0,"L");
			$this->Cell($w[4],$h,chr(128).' '.$artikel['prijsingegeven'],1,0,"L");
			$this->Cell($w[5],$h,$artikel['leverancier'],1,1,"L");
			
			$this->Cell($w[0],10,"",1,0,"R");
			$this->Cell($w[1],10,"",1,0,"L");
			$this->Cell($w[2],10,"",1,0,"L");
			$this->Cell($w[3],10,"",1,0,"L");
			$this->Cell($w[4],10,"",1,0,"L");
			$this->Cell($w[5],10,"",1,1,"L");
		
		}
		$this->Ln(5);
		$this->LegeTabel($w,$header);
	}
	
	function BestellingGroepTabel($gegevens)
	{
		$this->SetDrawColor(180);
		$this->SetTextColor(64,64,64);
		
		foreach($gegevens as $bestelling){
			$this->BestellingTabel($bestelling);
		}

		$w=array(13,60,60,13,12,12);
		$header=array("Code","Omschrijving","Code Leverancier","Prijs","Aantal","EH");
		$this->LegeTabel($w,$header);
	}
	
	function LegeTabel($w,$header)
	{
		$this->SetDrawColor(180);
		$this->SetTextColor(64,64,64);
		
		$this->SetFont('Calibri','B',10);
		$this->SetTextColor(51,102,52);
		for($i=0; $i<count($header); $i++){
			$this->Cell($w[$i],5,$header[$i],1,0,"L");
		}
		$this->Ln();
		$row=0;
		$firstrow=false;
		while($row<15 || $this->GetY()+25<$this->PageBreakTrigger ){
			if($this->GetY()+15>$this->PageBreakTrigger){
				$this->addPage();
				for($i=0;$i<count($header); $i++){
					$this->Cell($w[$i],5,$header[$i],1,0,"L");
				}
				$this->Ln();
			}
			for($i=0; $i<count($header); $i++){
				$this->Cell($w[$i],10," ",1,0,"L");
			}
			$this->Ln();
			$row++;
		}
	}
	
	function BestellingTabel($gegevens)
	{
		$h=5;
		$this->SetDrawColor(180);
		
		
		$this->SetFont('Calibri','B',10);
		$this->SetTextColor(64, 64, 64);
		$this->Cell(0,$h,"Artikels",0,1,"L");
		
		$this->SetFont('Calibri','B',10);
		$this->SetTextColor(51, 102, 51);

		$w=array(13,60,60,13,12,12);
		$header=array("Code","Omschrijving","Code Leverancier","Prijs","Aantal","EH");
		for($i=0; $i<count($header); $i++){
			$this->Cell($w[$i],$h,$header[$i],1,0,"C");
		}
		$this->Ln();
		$this->SetFont('Calibri','',10);
		$this->SetTextColor(64, 64, 64);
		foreach($gegevens['artikels'] as $i=>$artikel){
			if($this->GetY()+15>$this->PageBreakTrigger){
				$this->addPage();
				
				$this->SetFont('Calibri','B',10);
				$this->SetTextColor(64, 64, 64);
				$this->Cell(0,$h,"Artikels",0,1,"L");
				
				$this->SetFont('Calibri','B',10);
				$this->SetTextColor(51, 102, 51);
				for($i=0; $i<count($header); $i++){
					$this->Cell($w[$i],$h,$header[$i],1,0,"C");
				}
				$this->Ln();
				$this->SetFont('Calibri','',10);
				$this->SetTextColor(64, 64, 64);
			}	
			$this->Cell($w[0],$h,$artikel['artikelid'],1,0,"R");
			$this->Cell($w[1],$h,utf8_decode($artikel['omschrijving']),1,0,"L");
			$this->Cell($w[2],$h,utf8_decode($artikel['levcode']." ".$artikel['levomschrijving']),1,0,"L");
			$this->Cell($w[3],$h,chr(128).' '.$artikel['prijsingegeven'],1,0,"R");
			$this->Cell($w[4],$h,$artikel['bestelaantal'],1,0,"R");
			$this->Cell($w[5],$h,$artikel['besteleenheden'],1,0,"R");
			$this->Ln();
		}
		$this->Ln(5);
	}
	
	function ReceptieTabel($gegevens)
	{
		$h=5;
		$this->SetDrawColor(180);
		$this->SetTextColor(64, 64, 64);
		
		$this->SetFont('Calibri','B',10);
		$this->SetTextColor(64, 64, 64);
		$this->Cell(0,$h,"Artikels",0,1,"L");
		
		$this->SetFont('Calibri','B',10);
		$this->SetTextColor(51, 102, 51);

		$w1=array(88,39,39,4);
		$w=array(13,55,12,8,13,13,13,13,13,13,4);
		$header1=array('','Besteld', 'Geleverd','');
		$header2=array('Code','Omschrijving', 'Prijs','S/C','PPC','Pieces','Cases','PPC','Pieces','Cases', '');
		for($i=0; $i<count($header1); $i++){
			$this->Cell($w1[$i],$h,$header1[$i],1,0,"C");
		}
		$this->Ln();
		for($i=0; $i<count($header2); $i++){
			$this->Cell($w[$i],$h,$header2[$i],1,0,"C");
		}
		$this->Ln();
		$this->SetFont('Calibri','',10);
		$this->SetTextColor(64, 64, 64);
		foreach($gegevens['artikels'] as $i=>$artikel){
			if($this->GetY()+15>$this->PageBreakTrigger){
				$this->addPage();
				$this->SetFont('Calibri','B',10);
				$this->SetTextColor(64, 64, 64);
				$this->Cell(0,$h,"Artikels",0,1,"L");
				
				$this->SetFont('Calibri','B',10);
				$this->SetTextColor(51, 102, 51);
				for($i=0; $i<count($header1); $i++){
					$this->Cell($w1[$i],$h,$header1[$i],1,0,"C");
				}
				$this->Ln();
				for($i=0; $i<count($header2); $i++){
					$this->Cell($w[$i],$h,$header2[$i],1,0,"C");
				}
				$this->Ln();
				$this->SetFont('Calibri','',10);
				$this->SetTextColor(64, 64, 64);
			}	
			$this->Cell($w[0],$h,$artikel['artikelid'],1,0,"R");
			$this->Cell($w[1],$h,utf8_decode($artikel['omschrijving']),1,0,"L");
			$this->Cell($w[2],$h,$artikel['prijs'],1,0,"R");
			$this->Cell($w[3],$h,$artikel['handlingtype'],1,0,"R");
			$this->Cell($w[4],$h,$artikel['ppcBesteld'],1,0,"R");
			$this->Cell($w[5],$h,$artikel['piecesBesteld'],1,0,"R");
			$this->Cell($w[6],$h,$artikel['kistenBesteld'],1,0,"R");
			$this->Cell($w[7],$h,$artikel['ppcGeleverd'],1,0,"R");
			$this->Cell($w[8],$h,$artikel['piecesGeleverd'],1,0,"R");
			$this->Cell($w[9],$h,$artikel['kistenGeleverd'],1,0,"R");
			if ($artikel['piecesBesteld']!=$artikel['piecesGeleverd'] || $artikel['ppcBesteld']!=$artikel['ppcGeleverd']) {
				$this->SetFillColor(226,136,131);
				$this->Cell($w[10],$h,' ',1,0,"R",true);
            } else {
				$this->SetFillColor(130,176,82);
				$this->Cell($w[10],$h,' ',1,0,"R", true);
            }
			$this->Ln();
		}
		$this->Ln(5);
	}
	
	function LeeggoedTabel($leeggoed)
	{
		
		$this->SetFont('Calibri','B',10);
		$this->SetTextColor(64,64,64);
		$this->Cell(50,5,"Leeggoed",0,1,"L");
		$this->SetFont('Calibri','B',10);
		$this->SetTextColor(51,102,52);
		$this->Cell(15,5,"Aantal",1,0,"R");
		$this->Cell(70,5,"Omschrijving",1,1,"L");

		$this->SetFont('Calibri','',10);
		$this->SetTextColor(64,64,64);
		foreach($leeggoed as $i=>$lg){	
			$this->Cell(15,5,$lg['aantal'],1,0,"R", false);
			$this->Cell(70,5,utf8_decode($lg['omschrijving']),1,1,"L", false);
		}
		$this->Ln(5);
	}
	
	function ChangesTabel($gegevens)
	{
		$h=5;
		$this->SetFont('Calibri','B',10);
		$this->SetTextColor(64,64,64);
		$this->Cell(0,$h,"Artikels",0,1,"L");
	
		$this->SetFont('Calibri','B',10);
		$this->SetTextColor(51,102,51);
		$w=array(20,65,25,30,30);
		$header=array("Code","Omschrijving","Prijs","Aantal","EH");
		for($i=0; $i<count($header); $i++){
			$this->Cell($w[$i],$h,$header[$i],1,0,"C");
		}
		$this->Ln();
				
		$this->SetFont('Calibri','',10);
		$this->SetTextColor(64,64,64);
		foreach($gegevens['artikels'] as $i=>$artikel){
			if($this->GetY()+15>$this->PageBreakTrigger){
				$this->addPage();
				$this->SetFont('Calibri','B',10);
				$this->SetTextColor(64,64,64);
				$this->Cell(0,$h,"Artikels",0,1,"L");
				$this->SetFont('Calibri','B',10);
				$this->SetTextColor(51,102,51);
				for($i=0; $i<count($header); $i++){
					$this->Cell($w[$i],$h,$header[$i],1,0,"C");
				}
				$this->Ln();
		
				$this->SetFont('Calibri','',10);
				$this->SetTextColor(64,64,64);
			}		
			if($artikel['aantal']!=$artikel['bestelaantal'] || $artikel['eenheden']!=$artikel['besteleenheden']){
				$this->SetTextColor(255,130,130);
				$this->SetFont('Calibri','B',10);
			}
			$this->Cell($w[0],$h,$artikel['artikelid'],1,0,"R");
			$this->Cell($w[1],$h,utf8_decode($artikel['omschrijving']),1,0,"L");
			$this->Cell($w[2],$h,chr(128).' '.$artikel['prijsingegeven'],1,0,"R");
			$this->Cell(14,$h,$artikel['bestelaantal'],'TBL',0,"R");
			$this->Cell(2,$h," / ",'TB',0,"C");
			$this->Cell(14,$h,$artikel['aantal'],'TBR',0,"R");
			$this->Cell(14,$h,$artikel['besteleenheden'],'TBL',0,"R");
			$this->Cell(2,$h," / ",'TB',0,"C");
			$this->Cell(14,$h,$artikel['eenheden'],'TBR',1,"R");

			$this->SetFont('Calibri','',10);	
			$this->SetTextColor(64,64,64);
		}
		$this->Ln(5);

	}
		
	







	
}
?>